Package org.apache.cxf.validation

# Class ClientBeanValidationFeature.Portable

java.lang.Object
org.apache.cxf.validation.ClientBeanValidationFeature.Portable

All Implemented Interfaces:
  `AbstractPortableFeature`, `Feature`

Enclosing class:
  ClientBeanValidationFeature

public static class ClientBeanValidationFeature.Portable extends Object implements AbstractPortableFeature

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Portable()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addInterceptor(InterceptorProvider interceptorProvider, ClientBeanValidationOutInterceptor out)`
  `void`
  `doInitializeProvider(InterceptorProvider interceptorProvider, Bus bus)`
  `void`
  `setProvider(BeanValidationProvider provider)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.cxf.feature.AbstractPortableFeature

  `initialize, initialize, initialize, initialize`

- ## Constructor Details

  - ### Portable

    public Portable()

- ## Method Details

  - ### doInitializeProvider

    public void doInitializeProvider(InterceptorProvider interceptorProvider, Bus bus)
    Specified by:
      `doInitializeProvider` in interface `AbstractPortableFeature`

  - ### addInterceptor

    protected void addInterceptor(InterceptorProvider interceptorProvider, ClientBeanValidationOutInterceptor out)

  - ### setProvider

    public void setProvider(BeanValidationProvider provider)